<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="So you want a pink electric kettle?" />
<meta property="og:description" content="The problem with electric kettles is clearly that they&rsquo;re a bit staid. Boring. Run of the mill. What you want is a kettle that&rsquo;s different. A kettle that stands out from the crowd, a kettle that will emphasise your feminine side. But not something stovetop-based, of course. Something actually practical. A pink electric kettle.
Well, it turns out that we ended up doing some research around here for our tips on electric kettles, and in the course of that, we found out that such things exist." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/169" />


<meta property="og:updated_time" content="2010-09-07T17:28:50&#43;00:00"/>











<meta itemprop="name" content="So you want a pink electric kettle?">
<meta itemprop="description" content="The problem with electric kettles is clearly that they&rsquo;re a bit staid. Boring. Run of the mill. What you want is a kettle that&rsquo;s different. A kettle that stands out from the crowd, a kettle that will emphasise your feminine side. But not something stovetop-based, of course. Something actually practical. A pink electric kettle.
Well, it turns out that we ended up doing some research around here for our tips on electric kettles, and in the course of that, we found out that such things exist.">


<meta itemprop="dateModified" content="2010-09-07T17:28:50&#43;00:00" />
<meta itemprop="wordCount" content="464">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="So you want a pink electric kettle?"/>
<meta name="twitter:description" content="The problem with electric kettles is clearly that they&rsquo;re a bit staid. Boring. Run of the mill. What you want is a kettle that&rsquo;s different. A kettle that stands out from the crowd, a kettle that will emphasise your feminine side. But not something stovetop-based, of course. Something actually practical. A pink electric kettle.
Well, it turns out that we ended up doing some research around here for our tips on electric kettles, and in the course of that, we found out that such things exist."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="169.html">

    <title>So you want a pink electric kettle? | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="169.html">So you want a pink electric kettle?</a></h2>
    <p class="blog-post-meta"><time datetime="2010-09-07T17:28:50Z">Tue Sep 7, 2010</time> by kamikazecook</p>
  </header>
  <p>The problem with electric kettles is clearly that they&rsquo;re a bit staid. Boring. Run of the mill. What you want is a kettle that&rsquo;s different. A kettle that stands out from the crowd, a kettle that will emphasise your feminine side. But not something stovetop-based, of course. Something actually practical. A pink electric kettle.</p>

<p>Well, it turns out that we ended up doing some research around here for our <a href="160.html">tips on electric kettles</a>, and in the course of that, we found out that such things exist.</p>

<p><a href="https://www.amazon.co.uk/La-Cafetiere-Electric-Kettle-Pink/dp/B0009Q0LI6"><img src="http://ecx.images-amazon.com/images/I/21N97DZNGEL._SL500_AA300_.jpg" alt="La Cafetiere Electric Pink Kettle" /></a> The first name that leaps out of Google when you look for a pink kettle is La Cafetiere, best known for frankly rather overpriced french presses. (Although any <a href="164.html">cafetiere</a> is a bargain compared to most other ways of making coffee)</p>

<p>The La Cafetiere kettle looks lovely - it really does, even someone who&rsquo;s decidedly out of the target market like me would admire the smooth, understated looks. Unfortunately, that&rsquo;s where the good news ends. According to users, it&rsquo;s not a picnic in the kitchen at all. There&rsquo;s no water level indicator, you can&rsquo;t fill it through the spout, and the lid tends to get extremely stuck. If you&rsquo;ve absolutely got to have the best design, go for this one, but otherwise, I&rsquo;d say avoid.</p>

<p><a href="https://www.amazon.co.uk/Electric-water-kettle-concealed-element/dp/B002WN2HVS"><img src="http://ecx.images-amazon.com/images/I/41ch3Y77wYL._SL500_AA300_.jpg" alt="IBIS Electric Water Kettle" /></a></p>

<p>If you really want the most pink you can possibly get, a Bodum kettle may be the way forward - specifically the IBIS pink. The design&rsquo;s kinda blocky and ugly, and the reviews are decent but not outstanding, with users not complaining but not singing its praises either. But it&rsquo;s really, really electric pink - and if you want your decor to really put the &ldquo;electric&rdquo; in electric tea kettle, there&rsquo;s really no other choice. (Beware, though - it has no specific rating for its wattage, so whilst it claims a fast boil, that could be twice as long as the Kenwood).</p>

<p><a href="https://www.amazon.co.uk/Kenwood-Traditional-Style-Stainless-kettle/dp/B000MWW05Y"><img src="http://ecx.images-amazon.com/images/I/41GCbx2-yBL._SL500_AA300_.jpg" alt="Kenwood Traditional Style Pink Kettle" /></a> Last but not leaste, the Kenwood Traditional Style Pink Kettle. It&rsquo;s pretty clear that Kenwood&rsquo;s designers were aiming straight at &ldquo;cute&rdquo; here - it&rsquo;s almost impossible to resist the urge to start going on about what a &ldquo;wuvvly cuwte widdle thing&rdquo; it is. Now, personally, if I wanted cute I&rsquo;d get a kitten, but in the right kitchen this thing could look brilliant. Users are very happy with it too - it&rsquo;s very quiet, it&rsquo;s 3kW for really fast boiling, it&rsquo;s got a water level indicator to avoid damaging the environment by heating half an ocean every time you want a cuppa.</p>

<p>Overall? Get the Kenwood if you want pink and cute. Get the Bodum if you don&rsquo;t like the Kenwood. Get the La Cafetiere if you prize design above functionality.</p>

<p>This has been a <a href="../index.html">Kamikaze Cookery</a> Infodump - short bits of useful information from the three geeks. Who cook. With Science.</p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f169" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f169" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f169" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f169" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="169.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
